<h1>Point Of Sale
  <span *ngIf="pointOfSaleForm.get('id').value !== null">edit</span>
  <span *ngIf="pointOfSaleForm.get('id').value === null">create</span>
</h1>
<br>
<form [formGroup]="pointOfSaleForm">
  <div class="row" *ngIf="pointOfSaleForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input type="text" nbInput readonly id="staticId" fullWidth formControlName="id">
    </div>
  </div>
  <div class="row">
    <label for="inputName" class="col-sm-2 col-form-label">Name</label>
    <div class="col-sm-10">
      <input type="text" nbInput id="inputName" formControlName="name" fullWidth
             [ngClass]="{'is-invalid':!pointOfSaleForm.get('name').valid}">
      <div class="invalid-feedback" *ngFor="let err of pointOfSaleForm.get('name').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-sm-10">
      <button nbButton [disabled]="!pointOfSaleForm.valid" type="submit" status="primary" (click)="save()">SAVE
      </button>
    </div>
  </div>
</form>
<hr>
<div class="row">
  <label for="hasNfcClient" class="col-sm-3 col-form-label">NFC-Client connected?</label>
  <div class="col-sm-9">
    <div class="d-flex">
        <span class="p-2"
              [ngClass]="{'text-warning':!oldPointOfSaleInfo?.hasNfcClient,'text-success':oldPointOfSaleInfo?.hasNfcClient}">
          <nb-icon icon="circle"></nb-icon>
        </span>
      <input type="text" nbInput readonly class="sr-only sr-only-focusable" fullWidth id="hasNfcClient"
             value="{{oldPointOfSaleInfo?.hasNfcClient}}">
    </div>
  </div>
</div>
<div class="row">
  <label for="hasCashDeskClient" class="col-sm-3 col-form-label">Cash-Desk-Client connected?</label>
  <div class="col-sm-9">
    <div class="d-flex">
        <span class="p-2"
              [ngClass]="{'text-warning':!oldPointOfSaleInfo?.hasCashDeskClient,'text-success':oldPointOfSaleInfo?.hasCashDeskClient}">
          <nb-icon icon="circle"></nb-icon>
        </span>
      <input type="text" nbInput readonly class="sr-only sr-only-focusable" fullWidth id="hasCashDeskClient"
             value="{{oldPointOfSaleInfo?.hasCashDeskClient}}">
    </div>
  </div>
</div>
